% zmodyfikowany przyklad 3.1 [urada,..]
% klasyfikator minimalnoodlegociowy

clf;

P=[10  2 -5		%punkty prototypowe 
    2 -5  5];

w=P;				%wagi wej
w0(1)=-0.5*P(:,1)'*P(:,1);	%wagi bias
w0(2)=-0.5*P(:,2)'*P(:,2);
w0(3)=-0.5*P(:,3)'*P(:,3);

x1=-10:0.5:10;
x2=-10:0.5:10;

for i=1:size(x1'),
   for j=1:size(x2'),
    x=[x1(i);x2(j)];  
    g1(i,j)=w(:,1)'*x+w0(1);
    g2(i,j)=w(:,2)'*x+w0(2);
    g3(i,j)=w(:,3)'*x+w0(3);
  end
end

mesh(x1,x2,g1,g1.*0+1);
hold on;
mesh(x1,x2,g2,g2.*0+2);
mesh(x1,x2,g3,g3.*0+3);
pause;
view(2);
hidden off;
plot(P(2,:),P(1,:),'o');
xlabel('x2'); ylabel('x1');



