%echo on; 
% zmodyfikowany przyklad 2.5 [urada,..]
% regua perceptronowa
% neuron z binarn funkcj aktywacji

clf;
hold off;
x=[ 1    0  -1;
   -2  1.5   1;
    1    1   1];
c=0.1;
d=[-1 -1 1];
w=[1; -1; 0.5];

il_iter=30;

hold on;
plot(x(1,1:2),x(2,1:2),'o');
plot(x(1,3),x(2,3),'rx');
axis([-5,5,-5,5]);
text(x(1,1)+0.1,x(2,1),'1');
text(x(1,2)+0.1,x(2,2),'2');
text(x(1,3)+0.1,x(2,3),'3');
xlabel('x1');
ylabel('x2');
pause;

i=1;
x1=-5:5;
for j=1:il_iter,
  if (i==4) i=1; end
  net=w'*x(:,i);
  y=sign(net);
  s=['aktualny wektor=',int2str(i),' net=',num2str(net),' y/d=',num2str(y),'/',num2str(d(i))];
  title(s);
  plot(x1,-(w(3)+w(1)*x1)/w(2),'green');
  w=w+c*(d(i)-y)*x(:,i);
  pause;
  plot(x1,-(w(3)+w(1)*x1)/w(2),'blue');
  i=i+1;
  pause;   
end
%echo off;




